Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id.enhanced
Class OptimizerFactory.OptimizerSupport

    java.lang.Object
      org.hibernate.id.enhanced.OptimizerFactory.OptimizerSupport

All Implemented Interfaces:
  Optimizer

Direct Known Subclasses:
  OptimizerFactory.HiLoOptimizer, OptimizerFactory.NoopOptimizer, OptimizerFactory.PooledOptimizer

Enclosing class:
  OptimizerFactory

    public abstract static class OptimizerFactory.OptimizerSupport

extends Object
implements Optimizer

Field Summary
`protected int` | `incrementSize`
`protected Class` | `returnClass`

Constructor Summary
`protected` | `OptimizerFactory.OptimizerSupport(Class returnClass, int incrementSize)`

Method Summary
`int` | `getIncrementSize()` Retrieves the defined increment size.
`Class` | `getReturnClass()`
`protected Serializable` | `make(long value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.id.enhanced.Optimizer
`applyIncrementSizeToSourceValues, generate, getLastSourceValue`

Field Detail

### returnClass

    protected final Class returnClass

### incrementSize

    protected final int incrementSize

Constructor Detail

### OptimizerFactory.OptimizerSupport

    protected OptimizerFactory.OptimizerSupport(Class returnClass,
                                                int incrementSize)

Method Detail

### make

    protected Serializable make(long value)

### getReturnClass

    public Class getReturnClass()

### getIncrementSize

    public int getIncrementSize()

  Description copied from interface: `Optimizer`
  Retrieves the defined increment size.

  Specified by:
    `getIncrementSize` in interface `Optimizer`
  Returns:
    The increment size.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD